import mongoose from 'mongoose';

const TreatmentTemplateSchema = new mongoose.Schema({
  name: {type: String, index: {unique: true}},
  parameters: [{
    name: String,
    range: mongoose.Schema.Types.Mixed
  }]
}, {minimize: false});  // to allow empty objects

export default mongoose.model('treatment_template', TreatmentTemplateSchema);