import Joi from '@hapi/joi';

export default class NoteFieldValidate {
  private static note_field = {
    name: Joi.string()
      .max(128),

    qty: Joi.number()
  };

  static output (data) {
    const {value, error} = Joi.object({
      name: this.note_field.name,
      qty: this.note_field.qty
    }).validate(data, {stripUnknown: true});
    return error !== undefined? null : value;
  }
}