import mongoose from 'mongoose';

const MaterialSchema = new mongoose.Schema({
  name: {type: String, index: {unique: true}},
  supplier: String,
  group: String,
  mineral: String,
  glass_fiber: String,
  carbon_fiber: String,
  numbers: [{
    color: String,
    number: Number
  }]
});

export default mongoose.model('material', MaterialSchema);